------------------------------------------------------------------------------------
--Name:  	shenghuang
--Creator:	由剧情表现脚本编辑器生成
--Created:	2025-02-19
------------------------------------------------------------------------------------

CppScriptMgr:SetViewPosByCell(68, 72)
CppScriptMgr:SetViewScale(200)
local player_0 = CppScriptMgr:QueryHero()
player_0:SetArmor(198885, 0, 1)
player_0:SetPos(72, 76)
player_0:SetName("")
player_0:SetDir(5)
player_0:SetZoomPercent(120)
CppScriptMgr:WaitMilSec(500)
player_0:Say("ClapBomb", 1000)
player_0:SetAction(401)
local effect_0 = CppScriptMgr:AddEffect("wusengjx_skill10_sf", 72, 76, 80, 1, 1, 1)
effect_0:Scale(2, 2, 2)
CppScriptMgr:WaitMilSec(140)
local effect_5 = CppScriptMgr:AddEffect("wusengjx_skill10_cf", 78, 70, 80, 1, 1, 1)
effect_5:Scale(2, 2, 2)
CppScriptMgr:WaitMilSec(720)
local effect_4 = CppScriptMgr:AddEffect("wusengjx_skill10_sf", 72, 76, 80, 1, 1, 1)
effect_4:Scale(2, 2, 2)
CppScriptMgr:WaitMilSec(120)
local effect_3 = CppScriptMgr:AddEffect("wusengjx_skill10_cf", 78, 70, 80, 1, 1, 1)
effect_3:Scale(2, 2, 2)
player_0:SetAction(401)
CppScriptMgr:WaitMilSec(1560)
player_0:Say("VajraPalm", 1000)
player_0:SetAction(401)
CppScriptMgr:WaitMilSec(290)
local effect_1 = CppScriptMgr:AddEffect("wusengjx_skill1", 72, 76, 33, 1, 1, 1)
effect_1:Scale(1.5, 1.5, 1.5)
CppScriptMgr:WaitMilSec(1090)
local effect_6 = CppScriptMgr:AddEffect("wusengjx_skill1", 72, 76, 33, 1, 1, 1)
effect_6:Scale(1.5, 1.5, 1.5)
CppScriptMgr:WaitMilSec(410)
CppScriptMgr:ClearEffect(effect_1)
CppScriptMgr:WaitMilSec(150)